Bug 1266294 - not able to relogin after a first logout
Summary: not able to relogin after a first logout
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 23
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-25 01:36 UTC by nmreis
Modified: 2016-12-20 14:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 14:44:50 UTC


Attachments (Terms of Use)
dmesg output (87.61 KB, text/plain)
2015-09-25 01:36 UTC, nmreis
no flags Details
other usefull logs from journal/dmesg (1.24 MB, application/x-bzip)
2015-09-28 16:07 UTC, nmreis
no flags Details

Description nmreis 2015-09-25 01:36:28 UTC
Created attachment 1076832 [details]
dmesg output

Description of problem:

updating mutter solved the first problem reported on bug: 1264904, but now I have a new one:

After the first login on any user (fedora with 2 different users), if I logout and try to login again, the process fails and basically I get stuck on login.
The only way to login again is by rebooting the machine.

Version-Release number of selected component (if applicable):

Fedora 23.

How reproducible:

always.

Steps to Reproduce:
1. Login on gnome3 after boot
2. Logout
3. Try to login again

Actual results:

Not able to login anymore. 
dmesg says systemd-logind is tainted and a stacktrace is printed.


Expected results:

Be able to login/logout over and over without rebooting.


Additional info:

After boot and I'm not sure if it is related gnome-shell also crashes a lot.
Take a look on the attached file with the actual dmesg output after a clean reboot.

Comment 1 Adam Williamson 2015-09-25 07:30:41 UTC
Can we please get the journalctl output too? Thanks.

Comment 2 Florian Müllner 2015-09-25 11:38:45 UTC
(In reply to nmreis from comment #0)
> The only way to login again is by rebooting the machine.

Does "loginctl terminate-user <username>" (as root) work around the issue without a reboot?

Comment 3 nmreis 2015-09-28 16:03:38 UTC
Hi Florian.

It did work, as a work around.
I'm also attaching all the logs a think might be usefull here.

Comment 4 nmreis 2015-09-28 16:07:02 UTC
Created attachment 1077988 [details]
other usefull logs from journal/dmesg

Comment 5 Fedora End Of Life 2016-11-24 12:35:59 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2016-12-20 14:44:50 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.